%define progname scikit
%define modname learn
%define newmodname sklearn

Summary:	Python modules for machine learning and data mining
Name:		python-scikits-learn
Version:	0.14.1
Release:	%mkrel 3
Source0:	%{progname}-%{modname}-%{version}.tar.gz
#Patch0:		scikit-learn-0.9-add-libm.patch
License:	BSD
Group:		Development/Python
Url:		http://scikit-learn.sourceforge.net/
BuildRequires:	blas-devel
BuildRequires:	python-setuptools
BuildRequires:	python-numpy-devel >= 1.2
BuildRequires:	python-scipy >= 0.7
BuildRequires:	python-matplotlib
BuildRequires:	python-nose >= 0.10
BuildRequires:  libpython-devel
Provides:       sklearn
Provides:       python-sklearn
Provides:       scikits-learn
Provides:       scikit-learn

%description
scikits.learn is a Python module that integrates classic machine learning
algorithms with the tightly-knit world of scientific Python packages
(numpy, scipy, matplotlib).

%prep
%setup -q -n %{progname}-%{modname}-%{version}

%build
%__rm -rf %{buildroot}
%__python setup.py build

%install
%__python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}

#%%check
#cd %{buildroot}/%{py_platsitedir}/%{newmodname}/tests
#nosetests -exe sklearn
#cd -

%clean
%__rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%dir %{py_platsitedir}/%{newmodname}
%{py_platsitedir}/%{newmodname}/*
%{py_platsitedir}/%{progname}_%{modname}-*.egg-info



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.14.1-3.mga4
+ Revision: 544151
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.14.1-2.mga4
+ Revision: 499330
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 11 2013 grenoya <grenoya> 0.14.1-1.mga4
+ Revision: 495506
- new version 0.14.1

* Sun Jan 13 2013 umeabot <umeabot> 0.12-2.mga3
+ Revision: 379470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 grenoya <grenoya> 0.12-1.mga3
+ Revision: 344035
- disable tests
- new version 0.12
- fix tests (correctly this time)

* Tue Aug 21 2012 grenoya <grenoya> 0.11-1.mga3
+ Revision: 282985
- comment tests (can't pass on BS as it needs to be installed first)
- new version 0.11
- remove patch #0 (merged upstream)
- move to nosetests tests (as indicated by upstream people)

* Fri Sep 23 2011 grenoya <grenoya> 0.9-1.mga2
+ Revision: 147024
- new version 0.9
- fix url

* Sun Jul 17 2011 grenoya <grenoya> 0.8.1-1.mga2
+ Revision: 125407
- clean spec
- add python-nose and python-matplotlib as BuildRequires
- add back check part
- upgrade sources
- rewrite %%file part
- imported package python-scikits-learn

